%define name libmuparser
%define version 1.30
%define release %mkrel 1

%define realname muparser
%define major 1
%define libname  %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} -d	 

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:	A fast math parser library
BuildRequires:	dos2unix
URL:		http://muparser.sourceforge.net
License:	MIT
Group:          System/Libraries
Source:		%{libname}-%{version}.tar.bz2		
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%package -n %{libnamedev}
Summary:        Development and doc files for {%name}
Requires:       %{name} = %{version}-%{release} pkgconfig
Group:          Development/Other

%description
Many applications require the parsing of mathematical expressions.
The main objective of this project is to provide a fast and easy way
of doing this. muParser is an extensible high performance math parser
library. It is based on transforming an expression into a bytecode
and precalculating constant parts of it.

%description -n %{libnamedev}
Development files and the documentation

%prep
%setup -q -n muParser


%build
%configure --enable-shared=yes --enable-debug=no --enable-samples=no
make CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
mv docs/html .
dos2unix *.txt
dos2unix html/sources/*
dos2unix html/script/*

%install
rm -rf $RPM_BUILD_ROOT
make libdir=$RPM_BUILD_ROOT%{_libdir} prefix=$RPM_BUILD_ROOT/usr install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes.txt
%doc Credits.txt
%doc License.txt
%{_libdir}/libmuparser.so.0
%{_libdir}/libmuparser.so.0.0.0

%files -n %{libnamedev}
%{_includedir}/*
%doc html
%{_libdir}/libmuparser.so
%{_libdir}/pkgconfig/muparser.pc

%changelog
* Sun May 4 2009 MBantz <martin.bantz at gmail dot com> 1.30
- Rebuilt for pclinuxos
